# getName

abstract fun getName(): String

The name of the plugin.

An example of a plugin name would be `"java"` for the plugin with ID `"org.gradle.java"`. This method always returns the name, regardless of whether the fully qualified ID was used to apply the plugin or not.

If the plugin has an unqualified ID, this method will return the same value as getId.

#### Return

the name of the plugin